package com.mall.order.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "OrderReturnReasonDTO对象", title = "退货原因", description = "退货原因的DTO对象")
public class OrderReturnReasonDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "name", title = "退货原因名")
    private String name;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

    @Schema(name = "status", title = "启用状态")
    private Boolean status;

    @Schema(name = "createTime", title = "create_time")
    private LocalDateTime createTime;

}