package com.mall.member.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("ums_member_collect_subject")
@Schema(name = "MemberCollectSubject对象", title = "会员收藏的专题活动", description = "会员收藏的专题活动的实体类对象")
public class MemberCollectSubject {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "subjectId", title = "subject_id")
    private Long subjectId;

    @Schema(name = "subjectName", title = "subject_name")
    private String subjectName;

    @Schema(name = "subjectImg", title = "subject_img")
    private String subjectImg;

    @Schema(name = "subjectUrll", title = "活动url")
    private String subjectUrll;

}