package com.mall.member.domain.vo;

import java.util.Date;
import java.math.BigDecimal;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "IntegrationChangeHistoryVO对象", title = "积分变化历史记录", description = "积分变化历史记录的VO对象")
public class IntegrationChangeHistoryVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "memberId", title = "member_id")
    private Long memberId;

    @Schema(name = "createTime", title = "create_time")
    private LocalDateTime createTime;

    @Schema(name = "changeCount", title = "变化的值")
    private Integer changeCount;

    @Schema(name = "note", title = "备注")
    private String note;

    @Schema(name = "sourceTyoe", title = "来源[0->购物；1->管理员修改;2->活动]")
    private Integer sourceTyoe;

}

