package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_attr_group")
@Schema(name = "AttrGroup对象", title = "属性分组", description = "属性分组的实体类对象")
public class AttrGroup {

    @Schema(name = "attrGroupId", title = "分组id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long attrGroupId;

    @Schema(name = "attrGroupName", title = "组名")
    private String attrGroupName;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

    @Schema(name = "descript", title = "描述")
    private String descript;

    @Schema(name = "icon", title = "组图标")
    private String icon;

    @Schema(name = "catelogId", title = "所属分类id")
    private Long catelogId;

}