package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_comment_replay")
@Schema(name = "CommentReplay对象", title = "商品评价回复关系", description = "商品评价回复关系的实体类对象")
public class CommentReplay {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "commentId", title = "评论id")
    private Long commentId;

    @Schema(name = "replyId", title = "回复id")
    private Long replyId;

}