package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_product_attr_value")
@Schema(name = "ProductAttrValue对象", title = "spu属性值", description = "spu属性值的实体类对象")
public class ProductAttrValue {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "spuId", title = "商品id")
    private Long spuId;

    @Schema(name = "attrId", title = "属性id")
    private Long attrId;

    @Schema(name = "attrName", title = "属性名")
    private String attrName;

    @Schema(name = "attrValue", title = "属性值")
    private String attrValue;

    @Schema(name = "attrSort", title = "顺序")
    private Integer attrSort;

    @Schema(name = "quickShow", title = "快速展示【是否展示在介绍上；0-否 1-是】")
    private Integer quickShow;

}