package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_spu_images")
@Schema(name = "SpuImages对象", title = "spu图片", description = "spu图片的实体类对象")
public class SpuImages {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "spuId", title = "spu_id")
    private Long spuId;

    @Schema(name = "imgName", title = "图片名")
    private String imgName;

    @Schema(name = "imgUrl", title = "图片地址")
    private String imgUrl;

    @Schema(name = "imgSort", title = "顺序")
    private Integer imgSort;

    @Schema(name = "defaultImg", title = "是否默认图")
    private Integer defaultImg;

}